ACF2/MVS and ACF2/CICS interface different release compatibility.

Document ID : KB000039721
Last Modified Date : 14/02/2018
Show Technical Document Details

Introduction: 

Compatibility concern over mixing the release levels of ACF2/MVS and ACF2/CICS interface.

Question: 

Is ACF2/CICS R15 compatible with ACF2/MVS R16?

Is ACF2/MVS R15 compatible with ACF2/CICS R16?

Environment:  

CA ACF2 for Z/OS

Answer: 

As with all previous releases of CA ACF2, the ACF2 base (ACF2 MVS) and ACF2/CICS (CICS interface for ACF2) are compatible with each other.

In this case following are compatible with each other.

1. ACF2/MVS base R15 and ACF2/CICS R16

2. ACF2/MVS base R16 and ACF2/CICS R15

Additional Information:

Important! You must install the base CA ACF2 product before installing and using the CICS interface.

CA Support does not recommend you run in this method permanently.  The reason is that many of the ACF2/CICS fixes have two parts.  One part goes on the ACF2/CICS interface component, and the other goes on the ACF2 base component.  So if you have a problem, you might only be putting on half of the fix if the releases are different.